Subject: Re: [PATCH net-next v12 1/1] Documentation: net: add flow control guide and document ethtool API

From: Jakub Kicinski <[email-masked]>
Date: Sat, 14 Mar 2026 10:08:15 -0700

On Wed,  4 Mar 2026 10:48:11 +0100 Oleksij Rempel wrote:
> Introduce a new document, flow_control.rst, to provide a comprehensive
> guide on Ethernet Flow Control in Linux. The guide explains how flow
> control works, how autonegotiation resolves pause capabilities, and how
> to configure it using ethtool and Netlink.
> 
> In parallel, document the pause and pause-stat attributes in the
> ethtool.yaml netlink spec. This enables the ynl tool to generate
> kernel-doc comments for the corresponding enums in the UAPI header,
> making the C interface self-documenting.
> 
> Finally, replace the legacy flow control section in phy.rst with a
> reference to the new document and add pointers in the relevant C source
> files.

We're getting no acks from the phy maintainers. With my "integrated NIC"
hat on - the description is also documenting too many details which seem
heavily inspired by the kernel-managed phy behavior. It appears that
nobody is excited for the doc to be merged in its current form :(
-- 
pw-bot: cr